<template>
    <el-container class="mta-Cframe" direction="vertical">
        <!-- header -->
        <mta-header></mta-header>
        <!-- main -->
        <el-container class="mta-home-box">
            <div class="mta-home-box-c">
                <router-view/>
            </div>
        </el-container>
        <mta-footer></mta-footer>
    </el-container>
</template>
<script>
    import { mapGetters }                            from 'vuex';
    import MtaHeader                                 from '@/components/client/common/header.vue';
    import MtaFooter                                 from '@/components/client/common/footer.vue';
    import { initThemeColor, handleLocalstorgeData } from '@/utils/theme';
    import * as Initialization                       from '@/utils/initializationConfig';


    export default {
        name:       'cframe',
        components: {
            MtaHeader,
            MtaFooter,
        },
        data() {
            return {
                // activeNav: '/c/Exam/full'
            };
        },
        computed:   {
            ...mapGetters(['getAuth', 'getThemeColor']),
        },
        methods:    {},
        created() {
            initThemeColor();
            let typeface = handleLocalstorgeData('themeFont', 'data-fontsize', '');
            handleLocalstorgeData('themeFont', 'data-fontsize', typeface);
            // 初始化 系统标签logo
            Initialization.initializationPageConfig();
        },
    };
</script>
<style lang="scss" scoped>

</style>
